=== external/mono-addins/Samples/WriterService/Makefile ===
all:
	xbuild

clean:
	xbuild /t:Clean
