=== debian/changelog ===
monodevelop (5.10.0.871-2) unstable; urgency=medium

  * [4854d37] Don't use build-depends-indep anymore (Closes: #809668)

 -- Jo Shields <directhex@apebox.org>  Sun, 03 Jan 2016 13:10:21 +0000

monodevelop (5.10.0.871-1) unstable; urgency=medium

  * [9110deb] Make MonoDevelop depend on XBuild (it's default now)
  * [fa906c3] Imported Upstream version 5.10.0.871 (Closes: #806212, #802406)
  * [ab4ce59] Delete obsolete d/p/build_ikvm_with_default_framework.patch
  * [6381ef4] Stop depending on mono-gmcs
  * [2a7f7ed] Add new build-deps for versioncontrol
  * [8b67b29] versioncontrol is now arch-any not arch-all
  * [8d28b95] Use distro NuGet, including distro NuGet repos
  * [66d445a] Don't use NuGet for unused nupkgs
  * [75f5a24] Force 4.5 TargetFrameworkVersion
  * [26f3a3a] Don't bundle ASP.NET MVC from NuGet
  * [ed48e16] Add nuget dependencies
  * [72987d9] Build libgit2 CustomBuildTasks from source
  * [251422a] Fix NuGet solution
  * [acd3e85] Include more system versions of ASP.NET assemblies
  * [c75e967] Exclude more Mac modulerefs

 -- Jo Shields <jo.shields@xamarin.com>  Wed, 16 Dec 2015 09:57:56 +0000
