=== debian/control ===
Source: monodevelop
Section: devel
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends:       debhelper (>= 7.0.50),
                     autoconf,
                     automake,
                     autotools-dev,
                     cli-common-dev (>= 0.8~),
                     desktop-file-utils,
                     dh-autoreconf,
                     gtk-sharp2-gapi (>= 2.12.8),
                     intltool,
                     libapr1-dev,
                     libgconf2.0-cil-dev,
                     libglade2.0-cil-dev,
                     libgnome2.0-cil-dev,
                     libgtk2.0-cil-dev,
                     libgtkspell-dev,
                     libwebkitgtk-dev,
                     libnuget-core-cil-dev,
                     libmono-addins-cil-dev (>= 0.6),
                     libmono-addins-gui-cil-dev (>= 0.6),
                     libmono-cecil-cil-dev,
                     libnunit-cil-dev (>= 2.6.3),
                     libsvn-dev,
                     cmake,
                     nuget (>= 2.8.7+md510+dhx1-1~),
                     nupkg-newtonsoft.json.6.0.8,
                     nupkg-nunit.2.6.4,
                     nupkg-nunit.mocks.2.6.4,
                     nupkg-nunit.runners.2.6.4,
                     libssh2-1-dev,
                     mono-devel (>= 3.0),
                     monodoc-base (>= 1.1.9)
Standards-Version: 3.9.2
Homepage: http://www.monodevelop.com/
Vcs-Git: git://git.debian.org/pkg-cli-apps/packages/monodevelop.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/monodevelop.git

Package: monodevelop
Architecture: all
Suggests: exuberant-ctags,
          gcc,
          gettext,
          make,
          mono-vbnc,
          mono-xsp | mono-xsp4,
          monodevelop-database,
          monodevelop-debugger-gdb,
          monodevelop-nunit,
          monodevelop-versioncontrol,
          monodoc-browser,
          zip
Recommends: libglade2.0-cil-dev, libgtk2.0-cil-dev, mono-devel
Depends: gnome-icon-theme (>= 1.1.3),
         monodoc-manual (>= 1.1.9),
         pkg-config,
         mono-runtime-sgen,
         mono-xbuild,
         xterm | x-terminal-emulator,
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: monodevelop-debugger-gdb
Breaks: monodevelop-debugger-gdb
Provides: monodoc-viewer
Description: Development Environment for GNOME
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages. It is the unbranded version of Xamarin Studio.
 .
 It supports the following languages: C, C++, C# (1.0, 2.0 and 3.0), Vala, Boo,
 Java, Nemerle, ILasm, ASP.NET and VB.NET.
 .
 Features: Debugger Integration (Mono Debugger and GNU Debugger),
 Class Browser, Assembly Browser, Built-in Help, Monodoc Integration,
 Code Completion (also known as IntelliSense), Code Folding, Color Schemes,
 Code Refactoring, On-the-fly error underlining, XML Editing, Embedded HTML
 viewer, Gettext support, GTK# Designer, MSBuild project support and
 Makefile Generation.

Package: monodevelop-nunit
Architecture: all
Depends: monodevelop (= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: NUnit plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages. It is the unbranded version of Xamarin Studio.
 .
 This package enables NUnit integration for MonoDevelop.

Package: monodevelop-versioncontrol
Architecture: any
Replaces: monodevelop (<< 0.13.1)
Depends: monodevelop (= ${source:Version}),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: VersionControl plugin for MonoDevelop
 MonoDevelop is a GNOME IDE primarily designed for C# and other CLI (.NET)
 languages. It is the unbranded version of Xamarin Studio.
 .
 This package enables version control integration (Subversion and Git)
 for MonoDevelop.
